@echo off
REM
REM  You can use 3 defines for assembling VSAVE.ASM:
REM                   
REM  1.  /DGerman     use German, else English
REM  2.  /DWin        check for Windows
REM  3.  /DSwallow    Swallow the key that enlightes the screen
REM
REM  Just uncomment the defines You want to use:
::
REM set D1=German
set D2=Win
set D3=Swallow
:: 
echo.
echo                                Makefile for vsave
echo.
::
cd source
echo I Use the following defines for TASM:   %D1%  %D2%  %D3%
tasm /T /w+ /m2 /D%D1% /D%D2% /D%D3% vsave
tlink /x vsave >nul        
if exist vsave.obj del vsave.obj >nul
if not exist vsave.exe goto Error
copy vsave.exe .. >nul
del vsave.exe >nul
cd ..
echo VSAVE.ASM assembled to VSAVE.EXE
goto End

:Error 
cd ..
echo There was an error !!

:End
set D1=
set D2=
set D3=